org.opengis.cite.ogcapifeatures10

## Class ErrorMessageKeys

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.ErrorMessageKeys

-     public class ErrorMessageKeys
      extends Object

  Defines keys used to access localized messages for assertion errors. The messages are stored in Properties files that are encoded in ISO-8859-1 (Latin-1). For some languages the `native2ascii` tool must be used to process the files and produce escaped Unicode characters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMPTY_STRING`
    `static String` | `LOCAL_NAME`
    `static String` | `MISSING_ENTITY`
    `static String` | `MISSING_INFOSET_ITEM`
    `static String` | `NAMESPACE_NAME`
    `static String` | `NOT_SCHEMA_VALID`
    `static String` | `UNEXPECTED_MEDIA_TYPE`
    `static String` | `UNEXPECTED_STATUS`
    `static String` | `XML_ERROR`
    `static String` | `XPATH_ERROR`
    `static String` | `XPATH_RESULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorMessageKeys()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_SCHEMA_VALID

          public static final String NOT_SCHEMA_VALID

      See Also:
        Constant Field Values

    - #### EMPTY_STRING

          public static final String EMPTY_STRING

      See Also:
        Constant Field Values

    - #### XPATH_RESULT

          public static final String XPATH_RESULT

      See Also:
        Constant Field Values

    - #### NAMESPACE_NAME

          public static final String NAMESPACE_NAME

      See Also:
        Constant Field Values

    - #### LOCAL_NAME

          public static final String LOCAL_NAME

      See Also:
        Constant Field Values

    - #### XML_ERROR

          public static final String XML_ERROR

      See Also:
        Constant Field Values

    - #### XPATH_ERROR

          public static final String XPATH_ERROR

      See Also:
        Constant Field Values

    - #### MISSING_INFOSET_ITEM

          public static final String MISSING_INFOSET_ITEM

      See Also:
        Constant Field Values

    - #### UNEXPECTED_STATUS

          public static final String UNEXPECTED_STATUS

      See Also:
        Constant Field Values

    - #### UNEXPECTED_MEDIA_TYPE

          public static final String UNEXPECTED_MEDIA_TYPE

      See Also:
        Constant Field Values

    - #### MISSING_ENTITY

          public static final String MISSING_ENTITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorMessageKeys

          public ErrorMessageKeys()

Copyright © 2023 Open Geospatial Consortium. All rights reserved.